<div class="row">
    <div class="logo-container">
        <nb-actions size="medium">
            <nb-action icon="menu-outline" (click)="sidebar.toggle(true)" ></nb-action>
        </nb-actions>
    </div>
    <div class="search-container">
        <nb-form-field>
            <nb-icon nbPrefix icon="search-outline" pack="eva"></nb-icon>
            <input [formControl]="searchControl"
                   nbInput
                   [fullWidth]="true"
                   type="text"
                   placeholder="Search item..."
                   [nbAutocomplete]="auto"/>

            <nb-autocomplete #auto (selectedChange)="onSelectionChange($event)">
                <nb-option *ngFor="let item of items$ | async" [value]="item._id">
                    {{ item.name }}
                </nb-option>
            </nb-autocomplete>
        </nb-form-field>
    </div>
    <div class="notification-container">
        <nb-actions size="medium">
            <nb-action icon="bell-outline"
                       [nbContextMenu]="notifications.length > 0 ? notifications : emptyNotification"
                       [badgeText]="notifications.length > 0 ? notifications.length.toString(10) : ''"
                       badgePosition="top left" [badgeStatus]="worstStatus()"></nb-action>
        </nb-actions>
    </div>
    <div class="profile-container">
        <nb-user *ngIf="user$ | async as user" [name]="user.username || user.email" [onlyPicture]="true" size="medium"
                 class="pointer align-self-end" [nbContextMenu]="profileMenu"></nb-user>
    </div>
</div>
